package com.sky.ioc.service.user;

import com.sky.ioc.entity.domain.system.Role;
import com.sky.ioc.tool.ReturnMsg;

public interface RoleService {
    ReturnMsg getRoleList(String page, String pageSize);

    ReturnMsg getRoleById(String roleId);

    ReturnMsg addRole(Role role);

    ReturnMsg updateRole(Role role);

    ReturnMsg deleteRole(String roleId);

    ReturnMsg batchDelRole(String roleIds);

    ReturnMsg removeMember(String userId, String roleId);

    ReturnMsg batchRemoveMember(String usersId, String roleId);
}
