package com.sky.ioc.entity.domain.system;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.util.List;

@Data
public class Menus {

    @TableId(type = IdType.AUTO)
    private Integer id;

    private String name;

    private Integer parent_id;

    private String order_num;

    private String path;

    private String router;

    private String query;

    private Integer is_frame;

    private Integer is_cache;

    private String menu_type;

    private String visible;

    private String status;

    private String perms;

    private String icon;

    private String remark;

    @TableField(exist = false)
    private List<Menus> children;

}
